Main Page Widgets Namespaces Book

# Gtk::TreeStore Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeStore:

[legend]
List of all members.

## Public Methods

virtual | ~TreeStore ()
GtkTreeStore* | gobj ()
const GtkTreeStore* | gobj () const
GtkTreeStore* | gobj_copy ()
iterator | erase (const iterator& iter)
iterator | insert (const iterator& iter)
iterator | prepend ()
iterator | prepend (const TreeNodeChildren& node)
iterator | append ()
iterator | append (const TreeNodeChildren& node)
void | clear ()
| Removes all rows from tree_store.
bool | is_ancestor (const iterator& iter, const iterator& descendant) const
| Returns `true` if iter is an ancestor of descendant.
int | iter_depth (const iterator& iter) const
| Returns the depth of iter.

## Static Public Methods

Glib::RefPtr<TreeStore> | create (const TreeModelColumnRecord& columns)

## Protected Methods

| TreeStore (const TreeModelColumnRecord& columns)
virtual void | set_value_impl (const iterator& row, int column, const Glib::ValueBase& value)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::TreeStore> | wrap (GtkTreeStore* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::TreeStore::~TreeStore | ( |  | ) | `[virtual]`

Gtk::TreeStore::TreeStore | ( | const TreeModelColumnRecord& | columns | ) | `[explicit, protected]`

## Member Function Documentation

iterator Gtk::TreeStore::append | ( | const TreeNodeChildren& | node | ) |

iterator Gtk::TreeStore::append | ( |  | ) |

void Gtk::TreeStore::clear | ( |  | ) |

| Removes all rows from tree_store.

Glib::RefPtr<TreeStore> Gtk::TreeStore::create | ( | const TreeModelColumnRecord& | columns | ) | `[static]`

iterator Gtk::TreeStore::erase | ( | const iterator& | iter | ) |

const GtkTreeStore* Gtk::TreeStore::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::TreeDragDest.

GtkTreeStore* Gtk::TreeStore::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::TreeDragDest.

GtkTreeStore* Gtk::TreeStore::gobj_copy | ( |  | ) |

iterator Gtk::TreeStore::insert | ( | const iterator& | iter | ) |

bool Gtk::TreeStore::is_ancestor | ( | const iterator& | iter,
|  | const iterator& | descendant
| ) | const

Returns `true` if iter is an ancestor of descendant.

That is, iter is the parent (or grandparent or great-grandparent) of descendant.

Parameters:

  iter | A valid Gtk::TreeIter.
  descendant | A valid Gtk::TreeIter.

Returns:
  `true`, if iter is an ancestor of descendant.

int Gtk::TreeStore::iter_depth | ( | const iterator& | iter | ) | const

Returns the depth of iter.

This will be 0 for anything on the root level, 1 for anything down a level, etc.

Parameters:

  iter | A valid Gtk::TreeIter.

Returns:
  The depth of iter.

iterator Gtk::TreeStore::prepend | ( | const TreeNodeChildren& | node | ) |

iterator Gtk::TreeStore::prepend | ( |  | ) |

virtual void Gtk::TreeStore::set_value_impl | ( | const iterator& | row,
|  | int | column,
|  | const Glib::ValueBase& | value
| ) | `[protected, virtual]`

| Reimplemented from Gtk::TreeModel.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TreeStore> wrap | ( | GtkTreeStore* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- treestore.h